Version 1.7 (changes from aircrack-ng 1.6) - Released 10 May 2022:
* Airdecap-ng: Endianness fixes
* Airdecap-ng: Output PCAP as little endian
* Airodump-ng: Fixed blank encryption field when APs have TKIP (and/or CCMP) with WPA2
* Airodump-ng: Updated encryption filter (-t/--encrypt) for WPA3 and OWE
* Airodump-ng: Fixed out-of-order timestamp captures
* Airodump-ng: Ignore NULL PMKID
* Airodump-ng: Fixed dropping management frames with zeroed timestamp
* Airodump-ng: Fixed sorting where sometimes it started with a different field
* Airodump-ng: Allow setting colors only in AP selection mode
* Airodump-ng: Fix crash on 4K Linux console
* Airodump-ng: Fixed issue where existing clients not linked to an AP become hidden when hitting 'o'
* Airodump-ng: Allow use of WiFi 6E 6GHz frequencies
* Airodump-ng: Look for oui.txt in /usr/share/hwdata
* Airgraph-ng: Fixed graphviz package conflict
* Airgraph-ng: Fixed downloading OUI with python3
* Airgraph-ng: Ensure support/ directory is created when installing
* Aircrack-ng: Fixed static compilation
* Aircrack-ng: Fix handshake replay counter logic
* Aircrack-ng: Handle timeout when parsing EAPOL
* Aircrack-ng: Fixed WEP display
* Aircrack-ng: Fixed spurious EXIT messages
* Aircrack-ng: Improved handshake selection by fixing EAPOL timing and clearing state
* Aircrack-ng: Ignore NULL PMKID
* Aircrack-ng: Added Apple M1 detection
* Aireplay-ng: In test mode, detect tampering of sequence number by firmware/driver
* Aireplay-ng: Fixed incorrectly rewritten loops affecting fragmentation attack, and in some cases, SKA fake auth
* Aireplay-ng: Fixed a bunch of instances where packets had their duration updated instead of the sequence number
* Airmon-ng: Fix avahi killing
* Airmon-ng: rewrite service stopping entirely
* Airmon-ng: Codestyle fixes and code cleanup
* Airmon-ng: Added a few Raspberry Pi hardware revisions
* Airmon-ng: Fixes for 8812au driver
* Airmon-ng: Fix iwlwifi firmware formatting
* Airmon-ng: Remove broken KVM detection
* Airmon-ng: Show regdomain in verbose mode
* Airmon-ng: Updated Raspberry Pi hardware revisions
* Airmon-ng: Document frequency usage
* Airmon-ng: Add a sleep to help predictable names due to udev sometimes renaming interface
* Airmon-ng: Added warning for broken radiotap headers in kernel 5.15 to 5.15.4
* Airmon-ng: shellcheck fixes
* Airmon-ng: support systemctl as some systems don't support 'service' anymore
* Airmon-ng: Fixes for pciutils 3.8, backward compatible
* Airbase-ng: use enum for frame type/subtype
* Airbase-ng: remove a few IE in association responses
* Besside-ng: Support and detect all channels in 5GHz in Auto-Channel mode
* OSdep: Search additional IE for channel information
* OSdep: Android macro fixes
* Patches: Add missing patches that were on https://patches.aircrack-ng.org but not in repo
* Patches: Updated freeradius-wpe patch for v3.2.0
* Patches: Updated hostapd-wpe patch for v2.10
* Patches: Added docker containers to test WPE patches
* Autotools: make dist now creates VERSION file
* Autotools: Added maintainer mode
* Autotools: Initial support for Link Time Optimization (LTO) builds 
* Integration tests: Added a new test, and improved some existing ones
* Airgraph-ng: switch airodump-join to Python 3
* Manpages: Fixes (typos, tools name, etc.) and improvements
* README: Updated dependencies and their installation on various distros in README.md and INSTALLING
* README: Fixed typos and spelling in README.md and INSTALLING
* Packages: Packages on PackageCloud now support any distro using .deb and .rpm, however, it requires reinstalling repo (BREAKING CHANGE)
* General: Fix compilation with LibreSSL 3.5
* General: Fix issues reported by Infer
* General: Updated buildbots
* General: Add Linux uclibc support
* General: Compilation fixes on macOS with the Apple M1 CPU
* General: Removed TravisCI and AppVeyor
* General: Use Github Actions for CI (Linux, Win, macOS, code style, and PVS-Studio)
* General: Added vscode devcontainer and documentation
* General: Fix warnings from PVS-Studio and build with pedantic (See PR2174)
* General: Shell script fixes thanks to shellcheck
* General: Fixes for GCC 10 and 11
* General: Fixed cross-compilation
* General: Code refactoring, deduplication, cleanup, and misc code improvements
* General: Coverity Scan fixes, which includes memory leaks, race conditions, division by 0, and other issues
* General: PVS Studio improvements,fixes and updates
* General: Code formatting/style fixes
* General: Various fixes and improvements (code, CI, integration tests, coverity)
* General: Update bug reporting template and update the process

Version 1.6 (changes from aircrack-ng 1.5.2) - Released 25 Jan 2020:
* Aircrack-ng: Added support for MidnightBSD
* Aircrack-ng: Fixed ARM processors display with -u
* Aircrack-ng: Fixed AVX-512F support
* Aircrack-ng: Fixed cracking speed calculation
* Aircrack-ng: Fixed cracking WEP beyond 10k IVS
* Aircrack-ng: Fixed creating new session and added test case
* Aircrack-ng: Fixed encryption display in some cases when prompting for network to crack
* Aircrack-ng: Fixed exiting Aircrack-ng in some cases
* Aircrack-ng: Fixed logical and physical processor count detection
* Aircrack-ng: Fixed PMKID length check
* Aircrack-ng: Various fixes and improvements to WPA cracking engine and its performance
* Airdecap-ng: Decrypt both directions when WDS is in use
* Airdecap-ng: Fixed decrypting WPA PCAP when BSSID changes
* Airgraph-ng: Added support for WPA3
* Airgraph-ng: Switch to argparse
* Airmon-ng: Added detection for wicd, Intel Wireless Daemon (iwd), net_applet
* Airmon-ng: Handle case when avahi keeps getting restarted
* Airmon-ng: Indicates when interface doesn't exist
* Airodump-ng: Added autocolorization interactive key
* Airodump-ng: Added option to read PCAP in realtime (-T)
* Airodump-ng: Added PMKID detection
* Airodump-ng: Added support for GMAC
* Airodump-ng: Added support for WPA3 and OWE (Enhanced Open)
* Airodump-ng: Basic UTF-8 support
* Airodump-ng: Checked management frames are complete before processing IE to avoid switch from WEP to WPA
* Airodump-ng: Display signal when reading from PCAP
* Airodump-ng: Fixed netxml output with hidden SSID
* Airodump-ng: Improved rates calculation for 802.11n/ac
* Airtun-ng: Fixed using -p with -e
* Autoconf: Fixed order of ssl and crypto libraries
* dcrack: Fixed client reporting benchmark
* dcrack: Now handles chunked encoding when communicating (default in Python3)
* Freeradius-WPE: Updated patch for v3.0.20
* General: Added NetBSD endianness support
* General: Added python3 support to scripts
* General: Added script to update autotools on CentOS 7
* General: Added security policy to report security issues
* General: Reorganizing filesystem layout (See PR 2032), and switch to automake 1.14+
* General: Convert to non-recursive make (part of PR 2032)
* General: Deduplicating functions and code cleanups
* General: Fixed packaging on cygwin due to openssl library name change
* General: Fixed SPARC build on Solaris 11
* General: Removed coveralls.io
* General: Updated dependencies in README.md/INSTALLING
* General: Use upstream radiotap libary, as a sub-tree
* General: various fixes and improvements (code, CI, integration tests, coverity)
* HostAPd-WPE: Updated for v2.9
* Manpages: Fixes and improvements
* Tests: Added Integration tests for aireplay-ng, airodump-ng, aircrack-ng, airbase-ng, and others
* Tests: Added tests for airdecap-ng, aircrack-ng

Version 1.5.2 (changes from aircrack-ng 1.4) - Released 09 Dec 2018:
* Airodump-ng: Fixed AP selection slip in interactive mode
* Airodump-ng: Revamped GPS logging functionality and added new logging format (logcsv)
* Aircrack-ng: Only load the maximum supported and available crypto engine
* Aircrack-ng: Reworked wordlist producer/consumer queue
* Airserv-ng: Fixed communication between platforms with different size int
* Airmon-ng: Improved detection of Raspberry Pis
* General: Signed and unsigned comparison fixes
* Package: Added package for Ubuntu 18.10 (Cosmic)
* General: Code cleanups
* General: Added more tests
* General: Compilation improvements/fixes in autotools
* General: Big endian fixes
* General: Fixed building on FreeBSD and OpenBSD
* General: Added instructions to compile on DragonflyBSD and OpenBSD
* General: Fixed spelling errors

Version 1.4 (changes from aircrack-ng 1.3) - Released 29 Sep 2018:
* Aircrack-ng: Added PMKID cracking
* Aircrack-ng: Serious speed up and memory usage decrease when loading large files (multiple Gb) using AVL trees
* Aircrack-ng: Added hwloc (Hardware Locality) to improve performance
* Aircrack-ng: Support cracking PCAP with Protected Management Frames (802.11w)
* Aircrack-ng: Merged check_thread() and read_thread()
* Aircrack-ng: Allow static linking with chosen SIMD
* Aircrack-ng: Display AVX512F when present
* Airodump-ng: Added clients GPS coordinates in NetXML file
* Airdecap-ng: Improve decrypting/parsing speed
* Airmon-ng: Updated/fixed using with nexmon
* Airmon-ng: Better check for lspci requirement on systems that don't have PCI/PCIe devices
* Airmon-ng: Added support for rtl8812au/8814au/rtl88xxau driver
* Build: Fixed building with a few different architectures
* Build: Switch to new CI/CD tool, PyDeployer
* Build: Improved building on Windows (and building/testing with AppVeyor)
* Build: Improved and tweaked CI systems (buildbots, Travis, AppVeyor)
* Build: Support for statically linking libraries/binaries
* Build: Automatic development packages build for multiple Linux distro and upload to PackageCloud.io
* Tests: Added new tests for Aircrack-ng
* Tests: Added new capture files
* Freeradius-WPE: Fixed opening log file twice
* General: Fixed loading PCAP on system with a different endianness
* General: Fixed memory leaks and issues reported by static analysis tools
* General: Fixed "error while loading shared libraries"
* General: Various other small improvements in the tools, build system, tests and documentation
* General: Update FSF address
* General: Code formatting

Version 1.3 (changes from aircrack-ng 1.2) - Released 10 Jul 2018:
* Aircrack-ng: Allow using Hashcat HCCAPX files as input files.
* Aircrack-ng: Fixed floating point exception due to division by 0 when displaying stats.
* Aircrack-ng: Updated manpage regarding hex wordlist usage.
* Aircrack-ng: Added save/restore session when cracking using wordlists (-N and -R).
* Aircrack-ng: Moved crypto to its own library, aircrack-crypto/ (aka crypto engine).
* Aircrack-ng: Now back to a single binary thanks to crypto-engine.
* Aircrack-ng: Performance improvements of the crypto engine across various CPU architectures.
* Aircrack-ng: Added support for AVX512 in the crypto-engine (and build).
* Aircrack-ng: Improved building crypto-engine across CPU architectures and compilers (gcc, clang and ICC).
* Aircrack-ng: Allow to list available SIMD optimizations.
* Aircrack-ng: Improved benchmark tool for unusual CPU/cores count.
* Airodump-ng: Fixed running in the background.
* Airodump-ng: Don't show WPA handshake capture notice for out-of-scope ESSIDs.
* Airodump-ng: Add --background 0/1 to force disable/enable background settings and override autodetection of background.
* Airodump-ng: Added support for GCMP, GCMP-256 and CCMP-256.
* Airolib-ng: Fixed importing data when interrupting process using Ctrl-C. 
* dcrack: Check if dictionary and capture file exists before uploading them.
* dcrack: Clean up dictionary before uploading it to the server.
* dcrack: Gracefully stop and display errors instead of printing stacktrace whenever possible.
* dcrack: Move temporary user files to /tmp and cleanup when done.
* dcrack: Fixed displaying status when no clients are connected to the server.
* dcrack: Validate uploaded PCAP and display success/failure.
* dcrack: Improved removing BSSID.
* WPAClean: Fixed crash with invalid prism2 header PCAP and added tests.
* WPAClean: Don't create output file if no handshake are present or if input file is bad.
* WPAClean: Fixed memory leak.
* Airmon-ng: Fixed display of interface name if name is too long.
* OSdep: Fixed memory leak and null pointer dereference.
* OSdep: Fixed byteorder macros and other tools crashing.
* OSdep: Added support to build as a shared library.
* FreeRADIUS-WPE: Updated instructions for v3.0.17.
* HostAPd-wpe: Added Response-Identity logging and displaying NETNTLM hash in hashcat format.
* Airgraph-ng: Renamed dump-join to airodump-join.
* General: Added coveralls.io badge.
* General: Added --without-opt to disable stack protector when using GCC >= 4.9
* General: Various improvements and fixes, some from Coverity Scan and Valgrind.
* General: Fixed typos reported by codespell.
* General: Extracted console functions and moved to aircrack-util/.
* General: Renamed osdep/ to aircrack-osdep/.
* General: Fixed and added functions prototypes and commented out unused functions.
* General: Reformat source code using clang-format and added .clang-format file for IDE.
* General: Improvements to AppVeyor and TravisCI builds
* Building: Added NEON intrinsic support.
* Building: Support paths containing spaces, during autoreconf.
* Building: Fix compilation without getauxval in the trampoline binary.
* Building: Fixed compiler warnings on Windows, FreeBSD.
* Building: Fixes and documentation for OSX.
* Building: Added support for tcmalloc and jemalloc.
* Building: Added instruction to build Windows binaries with Airpcap.
* Unit test: Using CMocka for some tests
* Documentation: Updated explanations regarding building some experimental tools. 

Version 1.2 (changes from aircrack-ng 1.2-rc5) - Released 15 Apr 2018:
* General: Fixed compiling Windows binaries and updated README.md/INSTALLING.
* General: Fixed commands to install dependencies on Debian/Ubuntu and FreeBSD.
* General: Added command to install dependencies on Fedora/CentOS/RHEL.
* General: Removed packages/ directory.
* General: Added Alpine Linux and Kali Linux buildbots.
* General: Fixed configure with --with-libpcap-include=/somewhere/include and --with-libpcap-lib=/somewhere/lib.
* General: Fixed search for ethtool when running as a non-root user.
* General: Various fixes.
* Airmon-ng: Fixed mktemp on Alpine Linux.

Version 1.2-rc5 (changes from aircrack-ng 1.2-rc4) - Released 03 Apr 2018:
* General: Switching to autotools which allows compiling on more plateforms.
* General: Updated README.md and INSTALLING files.
* General: Fixed compilation on a lot of platforms.
* General: Fixed compilation warnings across platforms and compilers.
* General: Fixed typos in the tools and in manpages.
* General: Replace %d/ld with %u/lu for unsigned printf parameters.
* General: Added option to disable stack protector.
* General: Improved makefile to get reproducible builds.
* General: Fixed compilation with OpenSSL 1.1.0.
* General: Updated radiotap parsing code.
* General: Updated all URLs to use HTTPS.
* General: Fixed compilation with libreSSL.
* General: Added WPS 2.0 test PCAP.
* General: Do not use stackguard on Windows.
* General: Fixed warnings on GCC7.
* General: Improved code quality using Coverity Scan.
* General: Added badges for Coverity scan and Intel compiler buildbot
* Aircrack-ng: Use trampoline binary to automatically select fastest executable depending on the CPU
* Aircrack-ng: Fixed missing include for linecount.
* Aircrack-ng: Fixed concurrency issues when reading multiple WEP PCAP.
* Aircrack-ng: Added support for creating HCCAPx file format.
* Airodump-ng: Get the channel from HT information.
* Airodump-ng: Detect WPS 2.x.
* Airodump-ng: Also check current directory for OUI file.
* Airodump-ng: Fixed writing ESSID to CSV, Kismet CSV and Kismet NetXML files when ESSID gets decloaked and cloaked length was 1.
* Aireplay-ng: Added deauthentication reason code option.
* Aireplay-ng: Increase amount of AP to test when running injection test.
* Airodump-ng: Fixed 802.11a channel hopping list.
* Airodump-ng: Fix creation of .xor files.
* Airodump-ng: Added support for HT channels (HT20/HT40-/HT40+).
* Airodump-ng: Now displaying correct rate for 802.11n or 802.11ac AP.
* Airmon-ng: Fixed checking for processes.
* Airmon-ng: Fixed display of "cannot access '/sys/class/ieee80211/': No such file or directory".
* Airmon-ng: Fixed bashisms.
* Airmon-ng: Fixed display of specific drivers.
* Airmon-ng: Fixed display of cards on the sdio bus.
* Airmon-ng: Now supports nexmon driver on RPi 3 (and 0 Wireless) using Kali Linux.
* Airmon-ng: Added identification for another realtek chipset and generic Ralink/MT.
* Airmon-ng: Handle 2 types of rfkill commands and updated unblock text.
* Airmon-ng: more portable modinfo usage.
* Airmon-ng: remove grep -P references upon request.
* Airmon-ng: Do not replace driver name by ?????? when driver is valid. 
* Airgraph-ng: Removed irrelevant comment in README.
* Airgraph-ng: Handle SSID with double quotes.
* Airgraph-ng: Fixed parsing OUI file.
* Airdrop-ng: Updated lorcon2 installation instructions.
* Besside-ng: Fixed 'wi_read(): No child processes' error.
* Airdecloak-ng: Fixed segfault due to NULL pointer dereference.
* osdep: Remove wi_set_channel(1) on open wifi interface (cygwin).
* osdep: Fixed RAW socket resource leak.
* Patches: Created WPE patches and documentation for current HostAPd and Freeradius versions.
* Airodump-ng: Fix incorrect if conditions which always are false.
* Airodump-ng: Remove useless not NULL check.
* Airventriloquist: New tool from https://github.com/Caesurus/airventriloquist/
* dcrack: Fixed indentation.
* TravisCI: Fixed compilation on OSX.
* AppVeyor: Added support for AppVeyor, CI for cygwin builds.

Version 1.2-rc4 (changes from aircrack-ng 1.2-rc3) - Released 14 Feb 2016:
* Airodump-ng: Increase console window size.
* Aircrack-ng: Added time remaining and percentage done when doing WPA cracking with a dictionary (file).
* Aircrack-ng: Make benchmark last 15 seconds for a more accurate value.
* Aircrack-ng: Fixed compilation on Cygwin 64 and drastically improve cracking speed for all CPUs (up to +175% performance).
* Airmon-ng: Improved chipset detection on FreeBSD.
* Airmon-ng: Display chipset for some Broadcom SDIO.
* Airbase-ng: Fixed broadcasting 'default'.
* General: Updated and cleanup TravisCI file to test compilation and testing on OSX.
* General: Fixed reading large files on Cygwin.
* General: Fixed a bunch of compilation warnings with gcc and clang.
* General: Fixed compilation on Solaris, OpenBSD, DragonFlyBSD 4.4, NetBSD, OSX.
* General: Fixed compilation on ARM and MIPS.
* General: Improved compatibility on FreeBSD and Cygwin (RAM and CPU detection).
* General: Fixed gcc segfault on cygwin.
* General: Memory cleanups, fixed memory leaks and fix other issues reported by Valgrind.
* Testing: Fixes on various OSes.
* INSTALLING: Updated installation instructions for different OS.
* TravisCI: Improved file.

Version 1.2-rc3 (changes from aircrack-ng 1.2-rc2) - Released 21 Nov 2015:
* Airodump-ng: Prevent sending signal to init which caused the system to reboot/shutdown.
* Airbase-ng: Allow to use a user-specified ANonce instead of a randomized one when doing the 4-way handshake
* Aircrack-ng: Fixed compilation warnings.
* Aircrack-ng: Removed redundant NULL check and fixed typo in another one.
* Aircrack-ng: Workaround for segfault when compiling aircrack-ng with clang and gcrypt and running a check.
* Airmon-ng: Created version for FreeBSD.
* Airmon-ng: Prevent passing invalid values as channel.
* Airmon-ng: Handle udev renaming interfaces.
* Airmon-ng: Better handling of rfkill.
* Airmon-ng: Updated OUI URL.
* Airmon-ng: Fix VM detection.
* Airmon-ng: Make lsusb optional if there doesn't seem to be a usb bus.  Improve pci detection slightly.
* Airmon-ng: Various cleanup and fixes (including wording and typos).
* Airmon-ng: Display iw errors.
* Airmon-ng: Improved handling of non-monitor interfaces.
* Airmon-ng: Fixed error when running 'check kill'.
* Airdrop-ng: Display error instead of stack trace.
* Airmon-ng: Fixed bashism.
* Airdecap-ng: Allow specifying output file names.
* Airtun-ng: Added missing parameter to help screen.
* Besside-ng-crawler: Removed reference to darkircop.org (non-existent subdomain).
* Airgraph-ng: Display error when no graph type is specified.
* Airgraph-ng: Fixed make install.
* Manpages: Fixed, updated and improved airodump-ng, airmon-ng, aircrack-ng, airbase-ng and aireplay-ng manpages.
* Aircrack-ng GUI: Fixes issues with wordlists selection.
* OSdep: Add missing RADIOTAP_SUPPORT_OVERRIDES check.
* OSdep: Fix possible infinite loop.
* OSdep: Use a default MTU of 1500 (Linux only).
* OSdep: Fixed compilation on OSX.
* AppArmor: Improved and added profiles.
* General: Fixed warnings reported by clang.
* General: Updated TravisCI configuration file
* General: Fixed typos in various tools.
* General: Fixed clang warning about 'gcry_thread_cbs()' being deprecated with gcrypt > 1.6.0.
* General: Fixed compilation on cygwin due to undefined reference to GUID_DEVCLASS_NET
* General: Fixed compilation with musl libc.
* General: Improved testing and added test cases (make check).
* General: Improved mutexes handling in various tools.
* General: Fixed memory leaks, use after free, null termination and return values in various tools and OSdep.
* General: Fixed compilation on FreeBSD.
* General: Various fixes and improvements to README (wording, compilation, etc).
* General: Updated copyrights in help screen.

Version 1.2-rc2 (changes from aircrack-ng 1.2-rc1) - Released 10 April 2015:
* Airtun-ng: Adds WPA CCMP and TKIP decryption and CCMP encryption
* Compilation: Added support for DUMA.
* Makefile: Renamed 'unstable' to 'experimental'.
* Airodump-ng: Fixed XML sanitizing.
* Airmon-ng: Airmon-zc is now stable enough to replace airmon-ng.
* Manpages: Removed airdriver-ng manpage and references to it (forgot to do it before the previous release).
* Manpages: Updated 'see also' references in all manpages.
* PCRE: Added it in various places and docs.
* WZCook: Fixed processing values stored in register.
* Updated a few headers files (if_llc, ieee80211, ethernet and if_arp).
* Travis CI: updated make parameter and add testing with pcre.
* Compilation: de-hardcode -lpcap to allow specifying pcap libraries.
* Makefile: Fixed installing/uninstalling Airdrop-ng documentation files.
* Makefile: Fixed uninstalling ext_scripts.
* Airodump-ng: Added new paths (and removed one) for OUI files and simplified logic to find the OUI file.
* Aircrack-ng: Fixed ignoring -p when specified after -S.
* Airmon-ng: fixes for openwrt busybox ps/grep issues which do not seem present in other versions of busybox
* Airmon-ng: fix vm detection.
* Airserv-ng: Fixed channel setting (and assert call).
* Airodump-ng: Fixes to NetXML (unassociated clients missing and various other small bugs) and update the code to match current NetXML output.
* Airodump-ng: Removed requirement for 2 packets before AP is written to output (text) files.
* Airodump-ng: Fixed formatting of ESSID and display of WPA/WPA2 (as well as a bunch of other small fixes) in CSV file.
* Airodump-ng: Fixed GPSd.
* Airodump-ng: Allow to specify write interval for CSV, kismet CSV and NetXML files.
* Airserv-ng: Fixed wrong station data displayed in Airodump-ng.
* General: Fixed 64 bit promotion issues.
* General: Fixed a bunch of uninitialized values and non-zeroed structures (upon allocating them).
* General: Added Stack protection.
* Various other small fixes and improvements.

Version 1.2-rc1 (changes from aircrack-ng 1.2-beta3) - Released 31 October 2014:
* Airodump-ng should be able to parse the canonical oui file.
* Airodump-ng: Fixed GPS stack overflow.
* Airodump-ng: Fixed stopping cleanly with Ctrl-C.
* Airmon-zc: better handling for when modules are not available (incomplete).
* Airmon-zc: users can now start the monitor interface again to change channels.
* Airmon-zc: update to use ip instead of ifconfig if available.
* Airmon-zc: better handling of devices without pci bus.
* Aireplay-ng: Fixed tcp_test stack overflow.
* OSdep: Fixed libnl detection. Also avoid detection on non Linux systems.
* OSdep: Fixed segmentation fault that happens with a malicious server.
* Besside-ng: Add regular expression matching for the SSID.
* Buddy-ng: Fixed segmentation fault.
* Makefile: Fixed 'commands commence before first target' error when building Aircrack-ng.
* Fixed segfault when changing the optimization when compiling with gcc thanks to Ramiro Polla.
* Removed airdriver-ng (outdated and not meant for today's kernels).
* Added gitignore file.
* Fixed build issues on other compilers by using stdint.h types.
* Fixed CVE-2014-8321, CVE-2014-8322, CVE-2014-8323 and CVE-2014-8324 across multiple tools.
* Updating installation file and added pkg-config as a requirement.
* Various small fixes and improvements.

Version 1.2-beta3 (changes from aircrack-ng 1.2-beta2) - Released 31 March 2014:
* Finally properly fixed the buffer overflow.
* Fixed channel parsing (eg 108, 125) and updated radiotap parser.
* Various other small fixes.

Version 1.2-beta2 (changes from aircrack-ng 1.2-beta1) - Released 30 November 2013:
* Airbase-ng: Fixed order of IE when creating soft Access Point.
* Airbase-ng: Fixed Caffe Latte Attack not working for all clients.
* Aircrack-ng: Improved PTW speed thanks to Ramiro Polla.
* Airmon-zc: Fixed improper use of the interface.
* Airdecap-ng: Fixed decoding captures with WMM enabled.
* Various: Fixed memory leaks in Aircrack-ng, Aireplay-ng, OSdep.
* Added support for static analysis using Coverity Scan.
* Fixed compilation due to PIC unfriendly assembly on Gentoo hardened.
* Fixed running tests using 'make check'.
* Fixed building aircrack-ng with recent version of gcc and also on cygwin.
* Various other small fixes.

Version 1.2-beta1 (changes from aircrack-ng 1.1) - Released 25 May 2013:
* Airmon-ng: Added chipset information for ar9170usb, wl, rt2800usb, ar9271, wl12xx, RT3070STA, ath9k_htc, r871x_usb_drv, ath5k, carl9170 and various Intel drivers.
* Airmon-ng: Fixed chipset information ipw2200.
* Airmon-ng: Fixed output for r8187 driver.
* Airmon-ng: Improved chipset information for a few drivers.
* Airmon-ng: Support for displaying information about ath9k.
* Airmon-ng: Added 'check kill' to automatically kill services that could interfere.
* Airmon-ng: Fixed issues with Intel chipsets detection.
* Airmon-ng: Updated iw download link.
* Airmon-ng: Better mac80211 handling.
* Airmon-ng: Added detection for WiLink TI driver, rtl819xU, iwlwifi.
* Airmon-zc: Improved version of Airmon-ng with more detailed information.
* Airdecap-ng: Fixed decoding QoS frames (Closes: #667 and #858).
* Airgraph-ng: Use Aircrack-ng Makefile instead of its own.
* Airbase-ng: Fixed bug using clients list.
* Airbase-ng: Fixed issue with QoS (ticket #760).
* Airbase-ng: Fixed sending beacons with null SSID.
* Airbase-ng: Allow non ASCII ESSID.
* Airodump-ng: Fixed buffer overflow (ticket #728).
* Airodump-ng: Fixed channel parsing.
* Airodump-ng: Fixed FreeBSD battery reading.
* Airodump-ng: Renamed "Packets" column to "Frames" ("Packets" was not correct).
* Airodump-ng: Fixed XML bugs when outputting NetXML: ESSID containing '&' or chinese characters, when multiple encryption are used.
* Airodump-ng: Add alternative paths for Airodump-ng OUI file.
* Airodump-ng: Added GPSd 2.92+ support (JSON).
* Airodump-ng: Add option --manufacturer to display manufacturer column on airodump-ng.
* Airodump-ng: Add feature to show APs uptime (--uptime) based on the timestamp.
* Airodump-ng-OUI-update: Fixed OUI URL and allow CURL redirect (ticket #829).
* Airdrop-ng: removed .py from file names.
* Airdrop-ng: Fixed bug in installer.
* Airdrop-ng: Fixed OUI lookup.
* Airdrop-ng: Fixed bug when several BSSID have the same ESSID.
* Airdrop-ng: Doesn't constantly parse anymore, wait 5 seconds each time it parses.
* Airdrop-ng: Fixed crash when failing to get channel or when rules file didn't exist.
* Airdrop-ng: Fixed to use lorcon.py/lorcon2 libs.
* Airdrop-ng: Updated README.
* Airdrop-ng: Fixed error preventing update to work.
* Versuck-ng: New script to do the same thing as the kismet autowep plugin from the CLI.
* Aircrack-ng: Fixed counter display error when cracking WPA.
* Aircrack-ng: Added output of the WPA handshake to EWSA project file.
* Aircrack-ng: Added output of the WPA handshake to oclhashcat+ project file.
* Aircrack-ng: Added benchmark option, -S.
* Aircrack-ng: Fixed -u option.
* Aircrack-ng: PIC fix for hardened systems from Francisco Blas Izquierdo Riera (klondike)
* Aircrack-ng: Allow dictionaries larger than 2Gb.
* Aircrack-ng: Give a better message when there's an error with the dictionary.
* Aircrack-ng: Prevent a buffer overflow from happening (Wojciech Waga).
* Aireplay-ng: Added migration mode attack from Leandro Meiners and Diego Sor from Core Security (BlackHat Las Vegas 2010)
* Aireplay-ng, Airodump-ng: Added option to ignore issue with -1 channel.
* Airserv-ng: Fixed crash when clients disconnect.
* Besside-ng-crawler: Added EAPOL Crawler.
* Airdecloak-ng: Fixed bug when using pcap files with PPI headers.
* dcrack: Distributed cracking server/client.
* wifi-detect.sh: reference script for testing wifi card detection using iwconfig vs ls /sys/class/net
* WPA Clean: Tool to merge and clean WPA capture files.
* Wireless Panda: C# Library to parse Airodump-ng output files (and added example project).
* OSdep (Linux): Setting fixed bitrates on mac80211 2.6.31 and up.
* OSdep (Linux): Added support for nl80211 thanks to impulse32. Use 'make libnl=true' to add netlink support (Ticket #1004).
* Manpages: Improvement and fixes for Airgraph-ng, Airodump-ng, packetforge-ng, Aircrack-ng
* Manpages: Fixed various spelling issues and single quote issues.
* Makefiles: Added tests for the different tools.
* Makefiles: Various fixes and improvements.
* Makefiles: Added support for libgrypt instead of OpenSSL via parameter.
* Patches: Added a few patches.
* Removed useless script: patchchk.
* Finally fixed licensing issues.
* Fixed endianness issues in most of the tools.
* Fixed cppcheck errors (Ticket #957).
* Fixed various compilation issues on Linux and Cygwin, GNU/Hurd, Darwin (OSX) and Sparc.
* Fixed compilation on recent gcc versions on Linux, Cygwin.
* Added instructions for Travis CI: Free Hosted Continuous Integration Platform for the Open Source Community.
* Added Readme.Md for GitHub. Aircrack-ng subversion repository is synced on GitHub: http://github.com/aircrack-ng/aircrack-ng
* Various other small bug fixes.

Version 1.1 (changes from aircrack-ng 1.0) - Released 24 April 2010:
* airdrop-ng: New tool by TheX1le.
* airodump-ng, aircrack-ng, airdecap-ng, airbase-ng: Fixed buffer overflow in airodump-ng due to forged eapol frame.
* aircrack-ng: Fixed multicast detection (WPA handshake detection).
* airodump-ng: Added interaction (see wiki for the commands).
* airodump-ng: Fixed client time in netxml file.
* airtun-ng: Add WDS and bridge support.
* airbase-ng: automatically set privacy bit to 1 if WPA or WPA2 is used (-Z or -z option).
* airmon-ng: Updated iw URL for v0.9.19.
* airdriver-ng: Fixed link for madwifi-ng.
* aireplay-ng: Chopchop enhancement to not stop but wait on deauth packets.
* tkiptun-ng: Fixed segfault.
* wesside-ng: Fixed compilation bug with recent version of gcc.
* cygwin: Compiling sqlite isn't necessary anymore, libsqlite3-devel package can be used.
* osdep: Strict aliasing and x86_64 fix.
* osdep: Add tap support for Darwin/OS X. Still require tuntaposx from sourceforge to work.
* All: Fixed compilation on cygwin 1.7.
* All: Fixed compilation on recent version of OSX.
* manpages: Fixed aireplay-ng manpage for attack 0: not disassociation packets, deauth packets.
* manpages: Added the keys for interaction in airodump-ng.
* patches: Added regulatory domains override patches for atheros drivers (ath5k, ath9k and ar9170).
* patches: Added 2.6.32 patch for r8187 driver (ieee80211).
* Makefiles: Fixed make uninstall.

Version 1.0 (changes from aircrack-ng 1.0-rc4) - Released 08 September 2009:
* airserv-ng: Now works fine between 32 and 64bit OSes.
* wesside-ng: Fixed some endianness bugs
* airodump-ng-oui-update: Make sure the user is root when updating the file.
* airmon-ng: Updated iw download link (0.9.17).
* All: Fixed compilation with some gcc.
* patches: Added missing patches from patches.aircrack-ng.org: mac80211_2.6.28-rc4-wl_frag+ack_v3.patch
* manpage: Updated aireplay-ng manpage.
* INSTALLING: Removed (now) useless requirement for OSX installation.
* GUI (windows): Fixed 2nd selection of a capture file.

Version 1.0-rc4 (changes from aircrack-ng 1.0-rc3) - Released 27 July 2009:
* airodump-ng: Decreased time before writing text files to 5 sec (instead of 20).
* airodump-ng: New option --output-format option (to replace --nocap): specify output files.
* airodump-ng: Fixed encryption tag value in kismet netxml files.
* airodump-ng: Sanitize essid before writing it into kismet netxml files.
* airodump-ng: Log manufacturer into kismet netxml files.
* aireplay-ng: Fake auth: reduce the number of ACKs to 2 per packet.
* aireplay-ng: Added possibility to stop sending fake auth requests after n retry failures.
* aircrack-ng: Fixed compilation on FreeBSD.
* aircrack-ng: Fixed aircrack-ng --help on OSX.
* airmon-ng: Updated iw download link (0.9.15).
* airmon-ng: Fix chipset detection for iwlagn (show "Intel 4965/5xxx" instead of "Unknown").
* airmon-ng: Display a message when udev rename madwifi-ng VAPs.
* airmon-ng: sleep 1s instead of 0.1 (0.1 is not supported by all distro).
* airolib-ng: Fixed locked database counter.
* airdriver-ng: Updated to rt2570 k2wrlz v1.6.3
* airdriver-ng: Updated r8187 patch.
* aircrack-ng, airdecap-ng, ivstools, airodump-ng, airbase-ng, aireplay-ng, airtun-ng, packetforge-ng, tkiptun-ng: Added support for PPI captures support (Thanks to dragorn).
* airdecap-ng: Fixed segfault on some capture files.
* wesside-ng, easside-ng: "ERROR: Packet length changed while transmitting (XX instead of YY)" should finally be fixed.
* All: Added compatibility file for functions like cpu_to_le32. That should fix compilation on a lot of OSes.
* All: Temporary fix to allow compilation with recent gcc (Error message: "dereferencing type-punned pointer will break strict-aliasing rules"). I hope it doesn't break anything. A cleaner fix will be applied later.
* INSTALLING: OSX patch for Intel CPU isn't required anymore
* INSTALLING: Updated instructions to compile sqlite on cygwin for 3.6.16.
* patches: Updated sqlite (v3.6.13) patch for cygwin.
* patches: Updated wlanng patch for 2.6.28.
* patches: Updated madwifi-ng patch to r4073
* packages: Fixed spec (RPM) file.
* GUI (windows): Use last used directory when selecting another file to crack.
* GUI (windows): Allow .pcap files too (next to .cap, ...). 

Version 1.0-rc3 (changes from aircrack-ng 1.0-rc2) - Released 26 March 2009:
* airodump-ng: Added Active Scanning Simulation.
* airodump-ng: Added support for kismet-newcore netxml files (DTD v3.1.0)
* airodump-ng: Changed file extensions for CSV (.csv instead of .txt) and for kismet CSV
  (.kismet.csv instead of .csv).
* airodump-ng: Fixed WPA tag parsing and added QoS detection based on direction.
* airodump-ng: Added option to only disable capture file; all other files
  (CSV, kismet CSV, kismet netxml, GPS) will be created.
* aircrack-ng: Fixed -w with WEP.
* aircrack-ng: Fixed useless memory allocation.
* aircrack-ng: Fixed compilation with gcc 2.95.
* aircrack-ng: Fixed compilation on 64 bit (SHA-SSE2).
* aircrack-ng: Fixed errors when compiling on OS X 10.5.6 PPC.
* aircrack-ng: Added an option to write the key to a file.
* airolib-ng: Fixed a bug where database is created even if parameters are not correct.
* airmon-ng: Added wifibox to the list of network managers.
* airmon-ng: Updated iw download link (0.9.11).
* airmon-ng and airdriver-ng: Move them in script/ directory.
* airmon-ng: Bypass interface checks when ps command returns an error. Needed for BusyBox limited ps command.
* airdriver-ng: Update legacy RT73 driver to use rt73-k2wrlz v3.0.2
* tkiptun-ng: Allow padded arp packets to the client.
* airserv-ng & osdep: Fixed compilation on FreeBSD 7.1
* easside-ng & wesside-ng: Fixing again "Error Wrote 39 out of 30" error message.
* manpages: Fixed manpages titles.
* Makefile: Only compile and install wesside-ng, easside-ng, buddy-ng and tkiptun-ng with "make unstable=true".
* patches: Updated sqlite (v3.6.11) patch for cygwin.
* patches: Added patch for aircrack-ng on MacOSX
* scripts: Added a script to automatically patch and install SQLite in cygwin.

Version 1.0-rc2 (changes from aircrack-ng 1.0-rc1) - Released 22 Jan 2009:
* aircrack-ng: Added SSE2 supports (WPA cracking speed is improved a lot) thanks to nx5.
* aircrack-ng: Fixed detection of the number of CPU (especially with recent CPUs).
* aircrack-ng: Fixed long lasting WPA bugs: cannot find the key with SMP computers,
  wasn't exiting correctly, ...
* aircrack-ng: Fixed usage of a dictionary with WEP.
* aircrack-ng: Now only display ASCII WEP keys when 100% of the hex key can be converted to ASCII.
* aircrack-ng: You can now specify the number of threads for cracking even if you have a non-SMP computer.
* aircrack-ng: Now output an error message if using -r and it wasn't compiled with sqlite support.
  It was a problem on some ubuntu.
* airdecloak-ng: New tool to remove wep cloaked frames from a pcap file.
  For more details see https://www.aircrack-ng.org/doku.php?id=airdecloak-ng
* airodump-ng: Added kismet csv output support.
* airodump-ng: Fixed power value display (for ath interface with a high number, more than 99).
* airodump-ng: Can work on the new frequencies (allowed by frequency Chaos patch).
* airodump-ng: Now display if the network has QoS enabled.
* aireplay-ng: Fixed crash with too short packets (seen with zd1211).
* aireplay-ng: Fixed STP usage in fragmentation attack.
* aireplay-ng: Fixed bug with deauth attack.
* airtun-ng: Fixed STP conversion.
* airolib-ng: Added sample database in test/ directory.
* tkip-tun: New tool to inject on WPA1 with QoS enabled networks. Full description:
  decrypt packets coming from the AP in a TKIP network, which uses QoS (ieee802.11e).
  It also breaks the MIC Key for sending packets towards the Client correctly encrypted and signed.
  Stores plaintext packet and keystream in separate files.
* airbase-ng: Several improvements ( See https://github.com/aircrack-ng/aircrack-ng/issues/466 ).
* airbase-ng: Added compatibility with some clients. added random source IPs and MACs for cfrag attack (-N) to evade simple flood protection.
* airmon-ng: Fixed some 'unary operator expected' errors.
* airmon-ng: Fixed channel number setting with mac80211 drivers.
* airmon-ng: Recognition of 4 new chipsets: acx1xx, at76_usb, adm8211 and AR9001U (otus).
* airmon-ng: Fixed some chipset naming inconsistencies between ieee80211 and mac80211 drivers.
* airmon-ng: Fixed display of "airmon-ng check".
* airmon-ng: Improved mac80211 driver handling.
* airdriver-ng: Fixed madwifi-ng driver download URL.
* airdriver-ng: Updated openSuse information.
* wesside-ng: Fixed open() with O_CREAT that needs 3 arguments.
* osdep: Added TAP/TUN MTU getter.
* manpages: Fixed misspelled airserv-ng manpage filename.
* manpages: Added Airbase-ng, Tkiptun-ng manpages.
* manpages: Updated description of all manpages.
* Makefile: Fixed errors when compiling on OSX 10.5.
* Makefile: Now ensure that make 3.81 or higher (mandatory) is used when compiling on OSX 10.4.
* Makefile: Only install airolib-ng manpage if airolib-ng is installed.
* Makefile: Added 'make check' that tests key cracking against files given in test/ directory.
* general: Fixed 'evalrev' on Solaris.
* general: Fixed compilation on Sun SPARC.
* general: Fixed compilation on some distribution (with a recent version of gcc) due to warnings (because of not getting the return value of some functions).
* general: Several compilation fixes.
* patches: Updated ath5k patches
* patches: Added rt2570 patch (kernel 2.6.24).
* patches: Updated madwifi-ng patch for r3745.
* patches: Updated mac80211 patches.
* patches: Added zd1211rw patch for 2.6.26, b43/b43legacy for 2.6.26-wl.
* patches: rt73, r8187 patches for fedora kernels (should work on 2.6.27).
* patches: Added Defcon 16 patch (more frequencies than the usuals) for ath5k called frequency Chaos.
* patches: Added injection patch for rtl8187 (mac80211).
* patches: Added a universal mac80211 fragmentation and injection speed patch.
* GUI (windows): Fixed: Windows GUI gives "please specify dictionary".

Version 1.0-rc1 (changes from aircrack-ng 1.0-beta2) - Released 09 Jun 2008:
* airbase-ng: Multi-purpose tool aimed at attacking clients as opposed to the AP.
* airbase-ng: Added replay tool for external packet processing feature.
* aircrack-ng: Fixed: Displaying twice the wep key at the end and "Warning: Previous crack is still running".
* aircrack-ng: Fixed detection of WPA handshake (was not working correctly in previous release).
* aircrack-ng: Fixed PTW attack against QoS and WDS packets.
* aircrack-ng: Added oneshot option to try PTW only once.
* airodump-ng: Fixed channel numbers (Fixed "fixed channel" messages).
* airodump-ng: Added frequency selection (-C).
* aireplay-ng: Fixed injection on OpenBSD.
* aireplay-ng: Fixed a rtc bug which freezed aireplay-ng in case /dev/rtc0 is not available.
* aireplay-ng: Fixed chopchop attack against QoS packets.
* aireplay-ng: Added Caffe-Latte attack.
* aireplay-ng: Added CFrag attack: Turns every IP and ARP packet into an ARP request against the client.
* airtun-ng: Added support for fragmented packets.
* airdriver-ng: Updated drivers.
* airserv-ng: Various fixes.
* airmon-ng: Added nl80211 usage.
* airmon-ng: Use 'iw' when it is found.
* airmon-ng: Fixed error with madwifi-ng when creating new VAP.
* wesside-ng: Added option to ignore ACKs.
* OSdep: Fixed endieanness bugs.
* OSdep: Orinoco: attempt to bring interface down before switching to monitor mode.
* All: Added copyright and GPL in missing files.
* All: Fixed compilation on Mac OSX 10.5.2 (PPC).
* GUI: Fixed "Choose" button (airdecap-ng).
* Makefile: Fixed usage of iCC versions other than 9.0.
* patches: Updated rtl8187 patch.
* patches: Updated madwifi-ng patch.
* patches: Updated sqlite patch (cygwin).
* patches: Added mac80211 frag patch.
* patches: Added b43 and updated bcm43xx patches.

Version 1.0-beta2 (changes from aircrack-ng 1.0-beta1) - Released 01 Feb 2008:
* aircrack-ng: Cracking WPA now does only require 2 packets (instead of 4).
* airodump-ng: Fixed (WEP) open system and shared key system detection.
* airodump-ng (win): Battery status is now displayed.
* airdriver-ng: Fixed module detection.
* airdriver-ng: Updated drivers.
* airdriver-ng: Added firmware support.
* airdriver-ng: Added softmac installation.
* airdecap-ng: Save packets with ICV error in a separate file.
* airolib-ng: Automatically create a database if it does not exist. "init" option is not necessary anymore.
* airolib-ng: Now uses getopts for options.
* airdriver-ng: Updated some drivers download locations.
* airdriver-ng: Fixed softmac installation
* airmon-ng: Added detection of ipwraw-ng driver.
* airmon-ng: When stopping an interface, it is in managed mode
* Makefile: supports DESTDIR or destdir parameter.
* Makefile: renamed ROOT (used by gentoo for other stuff) variable by AC_ROOT.
* manpages: Fixes for whatis
* patches: updated cygwin sqlite patch
* patches: updated rtl8187 patch
* Added instructions to compile airolib-ng and using '-r' option in aircrack-ng for cygwin.
* Fixed compilation of aircrack-ng with some gcc versions

Version 1.0-beta1 (changes from aircrack-ng 0.9.2) - Released 01 October 2007:
* airodump-ng: Added --berlin option (see code for more information).
* airodump-ng: Fixed 100% cpu utilization while channelhopping on rtap interface
* airodump-ng: Fixed frame length < 10bytes bug
* airodump-ng: Added out-of-monitor-mode, channel hop and interface down detection
* airodump-ng: Fixed debian bug #417388: airodump-ng doesn't restore terminal after error
* airodump-ng: Fixed opening the same interface more than once
* airodump-ng: Fixed PWR values for some drivers
* airodump-ng: Fixed airodump sanity check (resulted in showing WPA networks without CIPHER & AUTH)
* airodump-ng: Added "-f" to set the time in ms between hopping channels
* airodump-ng: Added partial 40bit WEP detection
* airodump-ng: Added "--showack" to print statistics about ack/cts and rts frames
* airodump-ng: Added "-h" to hide the known stations in ack statistics
* airodump-ng: Added "-r" to read packets from a pcap file
* aircrack-ng: Added BSSID merge option
* aircrack-ng: Added passive ptw attack (using also IP packets for cracking)
* aircrack-ng: Made ptw attack default, for korek attack use -K
* aircrack-ng: Fixed huge memory usage with ptw attack on hundreds of APs
* aircrack-ng: Added -M paramteter for specifying maximum number of IVs to be read
* aircrack-ng: Changed ptw testpackets from first to random (fixes invalidation of found keys)
* aircrack-ng: Added --wep-decloak mode
* aircrack-ng: Added --ptw-debug to allow klein or ptw disabling
* aircrack-ng: PTW: Starts a new process group
* aircrack-ng: Increased PTW key checking speed by 20%
* aircrack-ng: Try 1000 40bit keys before starting 104bit cracking, to get the key "instantly" without waiting for 104 bit to fail
* aircrack-ng: Fixed not shown ascii keys, when found key was shorter than expected
* aircrack-ng: Added visual inspection of the different keybytes (--visual-inspection).
* airdecap-ng: Fixed bug in calc_pmk() function causes wrong PMK to be computed
* aireplay-ng: Added usage of RTS/CTS, auth and ACK to --test (more stable and faster)
* aireplay-ng: Added TCP connection test to --test
* aireplay-ng: Changed injection rate to be more stable
* aireplay-ng: Made essid argument optional - sniffs the essid if its broadcasted
* aireplay-ng: Made src mac argument (-h) optional - uses default interface mac
* aireplay-ng: Added bitrate test to --test (-B)
* aireplay-ng: Fixed 100% cpu utilization in --test
* aireplay-ng: Added --fast switch to use first available packet without interaction
* aireplay-ng: chopchop now tries header recreation workaround if icv check failed
* aireplay-ng: Fixed seq field for fragment attack
* aireplay-ng: Now works with rtc_cmos
* aireplay-ng: Added automatic channel changing in --test to AP channel
* aireplay-ng: Added channel synchronization for --test between cards
* aireplay-ng: Added possibility to limit injection test to one AP "-a" or "-e"
* aireplay-ng: Added BSSID/ESSID detection, so it can be enough to specify one option
* makeivs-ng: Added parameters to set length, number and first IV of generated IVs
* makeivs-ng: Added possibility to generate IVs sequentially or randomly
* makeivs-ng: Added parameters to set percentage of false and dupe frames
* makeivs-ng: Added 256bit wep support
* packetforge-ng: Added support for generating more than on packet
* patches: updated rtl8187 patch for 2.6.22
* patches: updated zd1211rw patch for 2.6.22
* New IVS format for storing all relevant data
* Auto-creation of rtap interface if it doesn't exist (ipw2200)
* Better acx, rtl8180, orinoco and madwifi-ng detection
* Using OpenSSL instead of build-in crypto
* Added library rx/tx support
* Added airpcap rx/tx support
* Added airdriver-ng script for installing and managing patched drivers
* Added wesside-ng as an all in one tool for recovering the wep-key
* Added easside-ng for realtime decryption (instant rx/tx) of wep frames
* Added buddy-ng as loopback server for easside-ng
* Added airserv-ng - server for rx/tx on another system
* Added airolib-ng for using hash tables to crack wpa/wpa2 psk (supports cowpatty rainbow tables)
* Fixed compilation of optimized binaries with icc
* Fixed compilation on FreeBSD, NetBSD, OpenBSD and MacOSX
* Better WDS handling and display
* Added detection and removal of trailing fcs checksum
* Fixed several memory leaks
* Fixed being root when connecting to airserv-ng
* Added OpenBSD sniffing support

Version 0.9.3 (changes from aircrack-ng 0.9.2) - Released 24 February 2008:
* Fix endianness issues in airodump-ng, aireplay-ng.
* Several small bug fixes.
* Updated rtl8187 patch.

Version 0.9.2 (changes from aircrack-ng 0.9.1) - Released 05 February 2008:
* aireplay-ng: Now works with rtc_cmos
* aireplay-ng: Fixed compilation on Fedora Rawhide
* airodump-ng: Fixed: Wrong information printed in CSV file (PSK for WEP with Shared key instead of SKA).
* airodump-ng (airpcap): added support for 5Ghz channels.
* airdecap-ng: Fixed bug in calc_pmk() function causes wrong PMK to be computed
* airmon-ng: Fixed detection of N770 wireless interface
* airmon-ng: Fixed Ralink rt73 detection
* airmon-ng: Added driver detection through sysfs
* airmon-ng: Added mac80211 support
* airmon-ng: Added networkmanager detection - airmon-ng check
* airmon-ng: Added detection of ipwraw-ng driver
* GUI (win): Fixed file dialog for airdecap-ng
* manpages: updated airodump-ng manpage
* manpages: Fixes for whatis
* Makefiles: Fixed OpenBSD makefile.

Version 0.9.1 (changes from aircrack-ng 0.9) - Released 25 June 2007:
* airodump-ng: wlan-ng driver now works again.
* airodump-ng: Fixed IP address when writing to CSV file
* airodump-ng: Fixed debian bug #417388: it doesn't restore terminal after error
* aircrack-ng: Fixed WPA cracking on SMP computers
* aircrack-ng: Fixed bug in calc_pmk() function causes wrong PMK to be computed
* airmon-ng: Fixed madwifi-ng wifiX detection (due to translation in ifconfig)
* patches: Added ACX injection patch
* patches: Updated rtl8187 patch for 2.6.21
* GUI (win): Added PTW option to aircrack-ng tab.
* GUI (win): Fixed a bug when cracking with a wordlist.

Version 0.9 (changes from aircrack-ng 0.8) - Released 13 May 2007:
* aireplay-ng: Added new 'attack': injection test (--test)
* aireplay-ng: disallow injection with wlanng & kernel > 2.6.11
* airtun-ng: Fixed: an option wasn't shown in usage screen.
* airodump-ng (win): Fixed version numbering.
* airodump-ng (win): Changed first time messagebox
* aircrack-ng: Fixed: --help make aircrack-ng crash
* aircrack-ng: Added PTW attack (option: -z). It require full capture.
* airdecap-ng: now decrypt IEEE802.11 header with 802.11e header
* airmon-ng: Fixed orinoco card detection
* patches: updated zd1211rw patch for kernel 2.6.21
* patches: Added bcm43xx injection patch for kernel 2.6.20
* patches: updated rtl8187 patch (for new driver version).
* wzcook (win): now can work in silent mode (option: --silent)
* Makefile: added make zip (cygwin only)
* Makefile: fixed direct call to 'make install' or 'make strip' instead of 'make'
* GUI (win): Updated aircrack-ng tab and added an about tab.

Version 0.8 (changes from aircrack-ng 0.7) - Released 25 April 2007:
* aireplay-ng: Works on FreeBSD-CURRENT
* aircrack-ng: Fixed stdin dictionary usage
* aircrack-ng: Hardcode CPUs number to 1 in case detection fails
* aircrack-ng: Fixed too low trashvalue
* aireplay-ng: Fixed 384 bytes keystream output
* aireplay-ng: Fixed IV index bug
* aireplay-ng: Better error messages for -0 and -1
* airtun-ng: Works on FreeBSD
* airtun-ng: Fix compilation under FC6 (missing "linux/if.h" include).
* airodump-ng: Works on FreeBSD.
* airodump-ng: Added encryption filtering
* airodump-ng: Fixed a SIGSEGV
* airodump-ng: Added WPA handshake detection
* airodump-ng: Added non associated stations filter
* airodump-ng: Added support for zd1211rw
* airodump-ng: Fixed 100% cpu utilisation
* airmon-ng: Added support for zd1211rw driver
* airmon-ng: Added support for at76c503a, rt61 and rt73
* airmon-ng: Updated some device detection
* airmon-ng: Added Nokia 770 and PrismGT softmac
* airmon-ng: Fixed ACX driver monitor mode startup
* airmon-ng: Fixed syntax error
* airtun-ng: Works on FreeBSD
* airtun-ng: Added pcap support to replay saved wlan sessions
* airtun-ng: Added repeater mode, bssid and netmask filter
* packetforge-ng: Added null packet support
* packetforge-ng: Added packet selection for -9
* Patches: Added hostap kernel 2.6.18 patch
* Patches: Updated rtl8187 patch.
* Patches: Updated madwifi-ng patch.
* Patches: Added injection patch for zd1211 (does not work for all devices).
* Added airoscript (from daouid)
* Makefiles: Fixed: make uninstall did not remove all files
* Updated spec file by David Bolt to be able to build RPM packages on FC, Mandriva and Suse distro
* Added WEP authentication example capture
* Fixed gcc 2.95 compilation
* Fixed compilation on MacIntel

Version 0.7 (changes from aircrack-ng 0.6.2) - Released 20 January 2007:
* Makefiles: Improved + added makefiles for other OS
* Makefiles: Fixed make install on Windows and MacOS
* airtun-ng: Creates a tuntap interface, through which ordinary IP frames can be injected
* aireplay-ng: Added fragmentation attack
* aireplay-ng: Added shared key authentication
* airmon-ng: Now detect the shell when installing
* airmon-ng: Added support for rtl8187
* aircrack-ng: Added WEP dictionary attack
* aircrack-ng: Works with 802.11e QoS packets
* airodump-ng: Added MAC filtering
* airodump-ng: Now use the flaw in shared-key authentication
	       to generate a xor file containing the prga recovered from a shared-key authentication
* airodump-ng: More information about encryption on the AP
* airodump-ng: Receive quality indicator
* airodump-ng: The way ESSID is given in the CSV file is more clear
* packetforge-ng: Set the TTL value in the ip header
* packetforge-ng: Close open file handles
* Special handling of spanning tree packets
* Added rtl8187 patch for injection
* Other bug fixes

Version 0.6.2 (changes from aircrack-ng 0.6.1) - Released 1 October 2006:
* aireplay-ng: Applied patch to inject packets with an ipw2200
* aircrack-ng: Fixed: show_wpa_stats() 1 byte array overflow
* aircrack-ng: Fixed a warning when compiling on 64bit inner_bruteforcer_thread()
* aircrack-ng: Changed -d option. It's now a mask (use XX for unknown bytes).
* arpforge-ng: removed. It's replaced by packetforge-ng
* packetforge-ng: New tool to forge packets (by Martin Beck) + manpage written
* aircrack-ng, aireplay-ng, packetforge-ng: new MAC decoding function
* airmon-ng: Fixed a bug when using it with madwifi-ng
* airmon-ng: Added ipw3945 detection
* airodump-ng (windows): now automatically download peek.dll and peek5.sys if needed
* airodump-ng: LLC null packets are skipped
* makeivs: added manpage
* Makefile: Fixed: make aircrack-ng-opt-prof_gen fails
* updated madwifi-ng patch

Version 0.6.1 (changes from aircrack-ng 0.6) - Released 27 August 2006:
* aircrack-ng: Fixed missing '-s' option
* aircrack-ng: Fixed: Show a different ASCII key for a same hex key
* airodump-ng: Using --band option instead of --bg, --abg, --ab, ...
* airodump-ng: Fixed: fails to put wlanng in monitor mode
* airodump-ng: using rtap0 as interface should now work
* airodump-ng and aireplay-ng: "Can't find wireless tools, exiting." should be fixed if they exist
* airodump-ng and airmon-ng: rt2570 now uses prismheader (use at least beta 2 driver)
* airmon-ng: Fixed: discards ipw2200 v1.1.x
* airmon-ng: Fixed: show newly created madwifi-ng VAP
* airmon-ng: Should now works with 'ash' shell (Zaurus, OpenWRT, ...)
* INSTALL: Added a note about warnings when compiling sources
* INSTALL: Added more information about installing aircrack-ng on windows
* updated spec file
* some other bugfixes
* cygwin1.dll and msvcr70.dll are now included in windows package

Version 0.6 (changes from aircrack-ng 0.5) - Released 23 June 2006:
* aircrack-ng: Multithreaded keybytes bruteforcer
* aircrack-ng: Now bruteforce only last keybyte by default (faster than last 2KB)
* aircrack-ng: Added option to show ASCII version of the key
* aircrack-ng: Fixed: bug with -d option. It adds a leading "0x00" to the key
* aireplay-ng: fixed compilaton issues on some distro
* aireplay-ng: fixed a bug when using 'ash'
* aireplay-ng: You can change ring buffer size (-g option)
* airodump-ng: Log by default only one beacon (added option to log all beacons)
* airodump-ng: Dump prefix isn't mandatory anymore, not giving it won't store any data
* airmon-ng: Ralink devices needs be put in ad-hoc prior to inject packets
* manpages: Added kstat manpage
* manpages: fixed airodump-ng manpage (hyphen used as minus sign)
* Makefile: You can now compile aircrack-ng with Intel C Compiler (really faster)
* Updated madwifi-ng patch to r1545 (and up; can be applied on madwifi v0.9.0 and v0.9.1)
* Added instructions to compile on different plateforms/OS
* Added a WPA2 capture file in test directory
* Some other fixes

Version 0.5 (changes from aircrack-ng 0.4.4) - Released 04 May 2006:
* airodump-ng: Hop on 2.4Ghz channels by default
* airodump-ng: Added support for OpenWrt devices (use prism0 as capture interface)
* aircrack-ng and aireplay-ng: korek chopchop optimisation (Thanks to ASPj)
* airodump-ng: Fixed: when starting, it captured data on channel 10
* aircrack-ng: Fixed: Not using all CPU on SMP systems

Version 0.4.4 (changes from aircrack-ng 0.4.3) - Released 24 april 2006:
* aircrack-ng: fixed a stupid bug that prevent cracking
* sha1-mmx.S: GNU_STACK ELF marking
* updated patch for madwifi-ng r1526 and upper

Version 0.4.3 (changes from aircrack-ng 0.4.2) - Released 24 april 2006:
* airmon-ng: fixed madwifi-ng (VAP creation-destruction and a cosmetic fix)
* aircrack-ng: fixed compilation under OSX
* airodump-ng: added elapsed time
* Makefile : added a MacOSX makefile (Makefile.osx)
* updated patch for madwifi-ng r1520 and upper

Version 0.4.2 (changes from aircrack-ng 0.4.1) - Released 20 april 2006:
* airodump-ng: Fixed: dumpfile prefix took the name of the second argument
* airodump-ng: Fixed: .gps file creation if GPSd isn't used
* version.c removed (the content was moved to common.c)

Version 0.4.1 (changes from aircrack-ng 0.4) - Released 19 april 2006:
* airodump-ng: use of parameters like aircrack-ng, aireplay-ng, ...
* airodump-ng: more sanity checks
* airodump-ng & aireplay-ng: forbid the use of ndiswrapper
* airodump-ng & aireplay-ng: check of iwpriv existence
* manpages: updated and fixed typos
* Makefile: fixed "make doc"
* airmon-ng: fixed and improved madwifi detection

Version 0.4 (changes from aircrack-ng 0.3) - Released 16 april 2006:

* Typos fixed and cosmetic changes in sources and in manpages
* manpages: updated airodump-ng screenshot
* manpages and aireplay-ng: renamed attack names
* airodump-ng: fixed some compile warnings
* airodump-ng: hopping also on .11a channels if available
* airodump-ng: fixed: GPS coordinates were never shown
* airmon-ng: fixed ipw2100 (Thx to OverThere) and madwifi-ng detection
* aircrack-ng: speed optimizations
* aircrack-ng: -x option disable last 2 keybytes bruteforce (WEP cracking is faster)
* aircrack-ng: with -a option, you can use "wep" or "wpa" instead of numbers
* ivstools: --merge option fixed
* Makefiles: improvements
* Lots of little changes
* added aircrack-ng.spec for building RPM
* added slack-desc for building slackware packages

Version 0.3 (changes from aircrack-ng 0.2.1) - Released 30 march 2006:

* aireplay-ng: typo fixed
* aireplay-ng: Madwifi-ng is now supported
* airodump-ng: disabled GPS coordinates if connection to gpsd fail
* airodump-ng: Battery information fixed (hacked kismet code)
* airodump-ng: Madwifi-ng is now supported
* aircrack-ng: corrected title (when cracking a key)
* aircrack-ng: uses by default all CPU for cracking (Debian bug report #352877)
* manpages: Fixed some errors (Debian bug report #356551)
* manpages: created ivstools manpage
* Makefiles: cleaning and improvement
* fixed pcap2ivs bug (it wasn't using the good MAC for bssid)
* Merged mergeivs and pcap2ivs into ivstools
* airmon.sh: Fixed (hopefully) detection of ipw2100 and ipw2200 (Debian bug report #340057)
* airmon.sh: renamed to airmon-ng
* Updated madwifi-ng patch to r1486


Version 0.2.1 (changes from aircrack-ng 0.2) - Released 20 march 2006:

* corrected 2 bugs in airmon.sh and changed another little thing
* one word missing for option -j in aireplay
* updated madwifi-old patch to SVN r1475
* makefile cleaning
* typo corrected in pcap2ivs


Version 0.2 (changes from aircrack-ng 0.1) - Released 19 march 2006:

* updated version number and program name
* updated airmon.sh
  added detection of acx, madwifi-ng and bcm43xx
* added manpages (Thanks to Adam Cecile)
* added madwifi-ng patches
* re-added missing drivers patches
* added uninstall rule in makefile
* added Sharp Zaurus binaries (Thanks to Rick Farina aka Zero_Chaos)
* added a cygwin makefile


Version 0.1 (changes from aircrack 2.41)

* updated windows binaries
* compiled some files for windows
* Separated in multiple packages


----------------------------------------------------------------------------------------------
Older Changelog:

Version 2.41 released on 2005-11-22. Changes from version 2.4:

    * airodump: show probing clients as "not associated"
    * airodump: don't substract the noise level unless madwifi
    * airodump: fixed channel hopping with old orinoco
    * airmon.sh: added detection of the zd1211 driver


Version 2.4 released on 2005-11-12. Changes from version 2.3:

    * airodump: display ESSIDs from Probe Requests
    * airodump: don't overwrite existing capture files
    * airodump: create a logfile of the gps coordinates
    * airodump: every 20s, sort the detected APs by power
    * airodump: display the remaining battery capacity
    * airodump: use ioctl() instead of calling iwconfig
    * airodump: added support for radiotap headers
    * aireplay: added option -j (FromDS packet injection)
    * aireplay: added prismheader support for rt2500 / rt2570
    * aireplay: fixed attack -0 when injecting on ralink usb
    * aireplay: fixed attack -3 (ring buffer / deauth problem)
    * aircrack: don't bruteforce the last 2 keybytes by default
    * aircrack: changed the fudge factor type to float
    * aircrack: added option -t (restrict keyspace to BCD)
    * aircrack: fixed the check_wep_key false positive bug
    * aircrack: fixed overflow of the number of tested keys
    * aircrack: lower number of required IVs if -d is used
    * mergeivs and pcap2ivs: initial release


Version 2.3 released on 2005-08-28. Changes from version 2.23:

    * aireplay: added patch for injection on Ralink USB
    * aireplay: improved deauthentication attack (-c flag)
    * aireplay: don't enable the prism header on athXraw
    * airodump: fixed rare hanging problem in dump_write_csv
    * airodump: workaround for ipw2200 wep data corruption bug
    * airodump: tweaked dump_print to make more space for ESSID
    * aircrack: added support for 152-bit WEP cracking
    * updated the documentation and merged versioning patch


Version 2.23 released on 2005-08-17. Changes from version 2.22:

    * aireplay: updated the madwifi patch, fixes WEP/WPA support
    * airodump: fixed a few buffer overflows, code cleanup for gcc4
    * aircrack: also printf the WEP key if >= 75% ASCII caracters


Version 2.22 released on 2005-08-14. Changes from version 2.21:

    * aireplay: now compatible with madwifi CVS 2005-08-14
    * airodump: fixed the output power with newer madwifi


Version 2.21 released on 2005-08-09. Changes from version 2.2:

    * airodump: forcefully exit when user presses Ctrl-C
    * airodump: bugfixed (yet again) ESSID uncloacking
    * airodump: re-create the ivs file if no header present
    * aircrack: changed the default fudge factor back to 2
    * airdecap: fixed the incorrect output pcap header length


Version 2.2 released on 2005-08-03. Changes from version 2.2-beta12:

    * aireplay: (attack 1) added G rates in the association request
    * fixed the Makefile for compilation on FreeBSD / Mac OS X


Version 2.2-beta12 released on 2005-07-30. Changes from version 2.2-beta11:

    * aireplay: bugfixed the madwifi patch, switched to 20050707
    * aireplay: avoid triggering "protocol XX00 is buggy" messages
    * airodump: don't reset the card when hopping between channels
    * airodump: ipw2200 didn't like calling "iwpriv ethX monitor 1"
    * airodump: added support for airodump on WRT54G / OpenWRT
    * airodump: commit the .txt statistics file every 20 seconds
    * aircrack: increased the default fudge factor (3 for WEP-104)


Version 2.2-beta11 released on 2005-07-27. Changes from version 2.2-beta10:

    * aireplay: updated the madwifi patch to inject in b/g mode
    * aireplay: fixed attack 2 (it wrongly swapped the smac & dmac)
    * aircrack: (cygwin) added O_BINARY flag to force binary mode


Version 2.2-beta10 released on 2005-07-23. Changes from version 2.2-beta9:

    * aireplay: fixed the status line not showing in attack -3
    * aireplay: updated the madwifi and hostap injection patches
    * aireplay: added patches for injection on rt2500 and rtl8180
    * aircrack: added detection of 802.1d in check_wep_key
    * airodump: restore prismheader link level info w/ hostap
    * airodump: create the output file if there's no pcap header
    * airdecap: added flag -l to disable ethernet conversion
    * updated the win32 port and rewrote the documentation


Version 2.2-beta9 released on 2005-07-21. Changes from version 2.2-beta8:

    * aireplay: fixed the invalid rtc file descriptor bug
    * aircrack: actually fixed the prism header endianness bug


Version 2.2-beta8 released on 2005-07-21. Changes from version 2.2-beta7:

    * aireplay: specify the deauth count instead of delay
    * aircrack: fixed an endianness issue with the prism header
    * aircrack: added the experimental single bruteforce attack
    * airodump: do enable the prismheader with wlan-ng
    * airodump: WEP/WPA: show the number of data packets
    * airodump: show total number of captured beacon packets
    * airodump: orinoco: fixed "iwpriv ethX monitor 1" command
    * airdecap: fixed an endianness issue with the packet length
    * airdecap: skip already processed duplicate packets


Version 2.2-beta7 released on 2005-07-14. Changes from version 2.2-beta6:

    * airodump: don't enable the prismheader with wlan-ng
    * aircrack: fixed check_wepkey() to avoid false positives
    * completed the preliminary win32 port


Version 2.2-beta6 released on 2005-07-12. Changes from version 2.2-beta5:

    * aireplay: fixed injection of fromds packets on Prism2
    * aireplay: attack 0: target access point must be specified
    * aireplay: attack 1: allow the user to change reauth delay
    * aircrack: fixed race condition when realloc() ap->ivbuf
    * airodump: fixed endianness issue when parsing prism header


Version 2.2-beta5 released on 2005-07-10. Changes from version 2.2-beta4:

    * aireplay: added patch for single-nic injection on hostap
    * aireplay: fixed chopchop attack in non-authenticated mode
    * aireplay: don't flood the AP with authentication requests
    * aircrack: bruteforce the last two keybytes by default
    * aircrack: improved handling of partial WPA handshakes
    * aircrack, airdecap: added WPA2 (RSN / 802.11i) support


Version 2.2-beta4 released on 2005-07-03. Changes from version 2.2-beta3:

    * aircrack: new option to restrict WEP search space to ascii
    * aircrack: fixed concurrency bug with multiple .cap files
    * aircrack: fixed incorrect detection of WPA CCMP handshakes
    * aircrack: fixed incorrect handling of HMAC-SHA1 WPA MIC
    * aireplay: fixed deauth problem when chopchoping a packet
    * aireplay: added a workaround for error "Write buffer full"
    * airodump: added support for prism header on prism54
    * airodump: save the list of detected wireless clients
    * airunwep: renamed to airdecap, added WPA decryption support


Version 2.2-beta3 released on 2005-06-28. Changes from version 2.2-beta2:

    * aircrack: fixed the tracking of new IVs
    * aireplay: fixed the CPU usage bug in attack 3
    * when reading pcap files, check the packet length


Version 2.2-beta2 released on 2005-06-27. Changes from version 2.2-beta1:

    * aireplay: added fully automated ARP replay attack
    * aireplay: added automated deauthentication attack
    * aireplay: added fake authentication in Monitor mode
    * aircrack: various pthread enhancements & bugfixes


Version 2.2-beta1 released on 2005-06-22. Changes from version 2.1:

    * aircrack: now auto-updates if new IVs are available
    * aircrack: fixed #285441 (struct pcap_pkthdr on AMD64)
    * aircrack: fixed the pcap endianness problem
    * aircrack: added essid filtering option and quiet mode
    * aircrack: only print status info every 1/20th second
    * aircrack: added WPA-PSK cracking support from cowpatty
    * aircrack: added EAPOL frame type detection and display
    * aircrack: each korek attack can be disabled selectively
    * airodump: added 802.11 b/g (2.4 GHz) channel hopping
    * airodump: added a file format for logging only the IVs
    * airodump: CRC is properly removed if driver is madwifi
    * airodump: input packets can be read from a pcap file
    * airodump: bugfixed WPA detection and ESSID uncloaking
    * airodump: also display a list of detected stations
    * aireplay: implemented chopchop and arp-forgery
    * aireplay: added patches for single-nic injection
    * 802ether: bugfixed and renamed to airunwep


Version 2.1 released on 2004-10-01. Changes from version 2.0.2:

    * added 11g and WPA detection support in airodump
    * aircrack automatically avoids using WPA IVs
    * aircrack can break 256-bit and 512-bit WEP keys
    * win32 - fixed yet again the "missed IVs" bug
    * win32 - ported the 802ether WEP decryptor program


Version 2.0.2 released on 2004-09-24. Changes from version 2.0.1:

    * win32 - added the WZCOOK key recovery program
    * fixed a bug in the BSSID iteration code in airodump
    * completely rewrote the documentation, moved to /docs


Version 2.0.1 released on 2004-09-21. Changes from version 2.0:

    * win32 - fixed the channel reset bug
    * win32 - fixed the "missed IVs" bug
    * win32 - rewrote drivers.txt


Version 2.0 released on 2004-09-03. Changes from version 1.4:

    * native win32 port of airodump and aircrack
    * aireplay better spots potential arp-requests


Version 1.4 released on 2004-08-26. Changes from version 1.3:

    * fixed check_wepkey, works with exotic LLC headers
    * airodump prints lots of information, Kismet-style


Version 1.3 released on 2004-08-19. Changes from version 1.2:

    * bugfixed and improved KoreK's code
    * renamed airunwep to 802ether


Version 1.2 released on 2004-08-17. Changes from version 1.1:

    * implemented KoreK's advanced WEP attacks
    * completely rewrote the SMP engine


Version 1.1 released on 2004-08-11. Changes from version 1.0:

    * implemented WEP arp-requests replay attack
    * improved the fudge calculation algorithm
    * added multi-processor support


Version 1.0 released on 2004-07-29
